#!/usr/bin/python2.7

from twisted.internet import reactor
from txosc import async, dispatch, osc
import sys
import threading
import time

datas_dict = {  ('10.0.0.4', 55525) : (1, [10, -9.4, -0.0, 0.0, 0.0]) ,
                ('10.0.0.4', 12345) : (2, [10, -9.4, -0.0, 0.0, 0.0]) }

def create_fun_msg(datas_dict):
    msg = osc.Message("/for_all_players")
    for value in datas_dict.values():
        msg.add(value[0])
        for item in value[1]:
            msg.add(item)
    return msg

#result
#['/for_all_players', ',iiffff', 1, 10, -9.4, -0.0, -3.0, 0.0]


if __name__ == "__main__":
    msg = create_fun_msg(datas_dict)
    print msg

