#!/usr/bin/python2.7

try:
    import sqlite3
except:
    print "You must install sqlite3"

class gameDataBase(object):
    def __init__(self):
        # db in memory
        self.gameConnector = sqlite3.connect(':memory:')
        # create
        self.gameConnector.execute("CREATE TABLE game(ip,socket,score,batx,baty,ballx,bally,frame,number)")
        # cursor
        self.gameCursor = self.gameConnector.cursor()

    def insert_data_in_database(self, message, address):
        data = []
        for a in address:
            data.append(a)
        for mv in message:
            data.append(mv)
        # pb with player number
        data.append(1)
        if len(data) == 9:
            data = tuple(data)
            # Fill the table
            self.gameCursor.execute("INSERT INTO game (ip,socket,score,batx,baty,ballx,bally,frame,number) VALUES (?,?,?,?,?,?,?,?,?)", data)
        for row in self.gameCursor.execute("select number, score from game"):
            print ('select number {} score {}'.format(*row))

    def update_data_in_database(self, message, address):
        data = []
        for mv in message:
            data.append(mv)
        # pb with player number
        data.append(1)
        if len(data) == 7:
            data = tuple(data)
            sql = "UPDATE game SET score=10 WHERE ip='10.0.0.4'"
            self.gameCursor.execute()

if __name__ == "__main__":
    # set instance of class
    gameDB = gameDataBase()

    test = [ [('10.0.0.4', 55525), [10, -9.4, 0.0, 0.0, 0.0, 1]],
            [('10.0.0.4', 55525), [10, -9.4, 0.0, 0.0, 0.0, 52]],
            [('10.0.0.4', 55525), [10, -9.4, 0.0, 0.0, 0.0, 456]]  ]

    for t in test:
        gameDB.insert_data_in_database(t[0], t[1])

    gameDB.update_data_in_database(t[0], t[1])
            ### SQL request test
            ##self.gameCursor.execute('select * from game')
            ##for row in self.gameCursor:
                ##print ('{}|{}|{}|{}|{}|{}|{}|{}|{}'.format(*row))
            ##for row in self.gameCursor.execute("select number, score from game"):
                ##print ('select number {} score {}'.format(*row))
